Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.FillSignObject Class Reference
Inheritance diagram for FoxitPDFSDKPython2.FillSignObject:

## Public Member Functions
def | FillSignObject (other)
| Constructor, with another fill-sign object. More...
def | FillSignObject ()
| Constructor.
def | GenerateContent ()
| Generate content for current fill-sign object. More...
def | GetRect ()
| Get rectangle, in [PDF coordinate system] (). More...
def | GetType ()
| Get fill-sign type. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Move (point, width, height, rotation)
| Move current fill-sign object. More...

## Detailed Description

Class FillSignObject is the base class for all kinds of fill-sign object. This class offers base functions to get type, to move a fill-sign object or to generate content for a fill-sign object.

## Constructor & Destructor Documentation

## ◆ FillSignObject()

def FoxitPDFSDKPython2.FillSignObject.FillSignObject | ( |  | other | ) |

Constructor, with another fill-sign object.

Parameters

  [in] | other | Another fill-sign object.

## Member Function Documentation

## ◆ GenerateContent()

def FoxitPDFSDKPython2.FillSignObject.GenerateContent | ( |  | ) |

Generate content for current fill-sign object.

For fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeSignature or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeInitialsSignature , function FoxitPDFSDKPython2.SignatureFillSignObject.SetBitmap should be called first.

Returns
  true means success, while false means failure.

## ◆ GetRect()

def FoxitPDFSDKPython2.FillSignObject.GetRect | ( |  | ) |

Get rectangle, in [PDF coordinate system] ().

Returns
  Fill-sign object rectangle. If there is no rectangle information, a RectF object with all 0 values would be returned.

## ◆ GetType()

def FoxitPDFSDKPython2.FillSignObject.GetType | ( |  | ) |

Get fill-sign type.

Returns
  Fill-sign type. Please refer to values starting from FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeText and this would be one of these values.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.FillSignObject.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Move()

def FoxitPDFSDKPython2.FillSignObject.Move | ( |  | point,
|  |  | width,
|  |  | height,
|  |  | rotation
| ) |  |

Move current fill-sign object.

- If to add a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeCrossMark , FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeCheckMark , FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeLine or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeDot , the bigger value of input width and height will be used as both width and height as the moving result.

- If to move a fill-sign object with type FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeLine , input height is useless and will be ignored.

- This function does not support to move a fill-sign object with FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeSignature or FoxitPDFSDKPython2.FillSign.e_FillSignObjectTypeInitialsSignature . For this case, exception will be thrown.

Parameters

  [in] | point | New left-bottom point for current fill-sign object, in [PDF coordinate system] ().
  [in] | width | New width for current fill-sign object.
  [in] | height | New height for current fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values except FoxitPDFSDKPython2.e_RotationUnknown .

Returns
  None.